Subject: Re: bug#58520: Persistent failure to DNS-lookup hostname

From: Stefan Monnier <[email-masked]>
Date: Fri, 14 Oct 2022 13:17:34 -0400

Paul Eggert [2022-10-14 09:55:12] wrote:
> Also see this informative thread by the Go folks, who see a similar bug and
>  have some good worries about thread safety and who are still seeing
>  problems as of August:
>
> https://github.com/golang/go/issues/21083

The beginning of the thread is all about an old version of glibc
(i.e. before glibc started auto-reloading the `/etc/resolv.conf` file).

The last comment does seem like it might be related (it's for a more
recent globc), admittedly, but that one is rather short on details.

        Stefan